tests/test-execute-bit
changeset 5490 bf2bb53e5d2b
child 5495 363ba35f55bd
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-execute-bit	Fri Oct 26 16:43:13 2007 -0700
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+hg init
+echo a > a
+hg ci -d'0 0' -Am'not executable'
+
+chmod +x a
+hg ci -d'1 0' -m'executable'
+hg id
+
+hg up 0
+hg id
+test -x a && echo executable -- eek || echo not executable -- whew